---
title: About this blog
description: The very first article of this blog
tags:
- blog
- tech
- hugo
---

If you are reading this it means either you are trying to understand who I'm
(are you a recruiter by any chance?) or you are simply bored. In any way, this
is the very first blog post, and it means you have come to the end of the road
(since this is the beginning). I always loved to have a place where I can write
down my thoughts about a new technology, a framework or what I did in order to
achieve a goal in a hobby project. That is not all though: I was searching for a
place where I was also able to express my ideas regarding modern dilemmas like
privacy issues and decentralization. I am not the kind of guy who likes social
networks, so I never had the chance to express them. Until now.

## How this blog is built

### The website

This blog is a very simple [Hugo](https://gohugo.io/) website. If you do not
know what it is, its basically a static website generator. It takes Markdown
documents and converts them in HTML pages. If you applied a specific theme then
it builds the page according to that theme. Hugo has a huge selection of themes
in his [dedicated page](https://themes.gohugo.io/), so basically picking up one
and starting from there is very simple. If you are curious about how I made it,
you can check out the source at my [personal git server
instance](https://git.poldebra.me/polpetta/bitdispenser.dev), where I started
hosting my code when [Microsoft bought
Github](https://news.microsoft.com/announcement/microsoft-acquires-github/). I
have simply picked up the simpler and cleanest blog theme out there, following
Ludwig Mies van der Rohe's idea:

> less is more

It will be a success if more than two people actually starts reading what I
write here, at least I want them to read without this blog without having their
eyes bleeding with an extravagant color combination.

### Hosting

The real problem of hosting a website nowday is not how to build it (as you can
see) but _where_ you can host it. There are plenty of cloud provides: AWS,
Google Cloud, DigitalOcean, Scaleway, etc... every day there is a new one
popping up. They all offers the possibility to host your website pretty easily,
especially if the website is a static one like this (e.g. using a S3 bucket).
Since I like challenges and I also like to learn new stuff, I though that
hosting the website in this way was boring. At the same time, I wanted to have a
good uptime and to not meddle too much under the hood. My (dream) requirements
were:
* always up
* good response time
* possibility to host as much data as I want
* using a hosting free as in beer and free as in freedom

Now, reading this I imagine you are thinking I'm going crazy, and maybe I'm, but
that is not the case. In fact, multiple weeks prior to writing this article,
while trying to kill the boredom caused by COVID-19 lockdown, I discovered
[IPFS](https://ipfs.io/). I already heard of it at University, but I never
bothered too much to understand what was about. I though "well, it surely is
some sort of filesystem". I was somewhat right, but not the way I thought.

IPFS acts like a peer-to-peer network, where nodes hash the content
they want to share to let other nodes grab it. You can grab this content using
your local node or using one of the many available gateways. Nodes can "pin" a
file too, in order to keep it locally and to serve it to other nodes. If a files
gets pinned by different nodes and gains traction it basically becomes
undeletable from the web.

 <!-- TODO add multi page hosting section with IPFS -->
